终端LLDB调试python脚本错误

出现问题

ImportError

原因

使用了brew安装的python2.7.15_1可能不含_remove_dead_weakref模块

解决方法

在环境配置文件.bash_profile.zshrc内导入:

export PATH=/usr/bin/:$PATH

参考

https://github.com/flutter/flutter/issues/17803

解决方案

推荐阅读更多精彩内容

  • 本文是以在 Mac 电脑上搭建为例,其他环境请参考官方文档。 开始搭建 下载 Flutter SDK,可以选择 g...
    不知名bzm阅读 1,352评论 0 0
  • !/usr/bin/env python -- coding: utf-8 -- '''根据某个traceId去调...
    小七奇奇阅读 469评论 0 0
  • 今年google发布了Flutter 1.0版,并且咸鱼已经对Flutter进行了应用,所以自己最近研究了一下Fl...
    文艺女青年的男人阅读 1,299评论 0 2
  • 第一步:下载当前最新版本 Python3.6, 下载地址:https://www.python.org/downl...
    V会飞的蜗牛阅读 2,412评论 0 1
  • 坯,半成品的东西。 空间与结构,通过光与影清晰的展示出来。不再去呈现每一个细节 ,多保留每一条轮廓。由于时间关系不...
    咖啡莫回味阅读 400评论 0 0
  • 生活在这个鱼龙混杂的世界,突然发现做自己是一件不那么简单的事情了,做事情不在那么的纯粹,老是考虑很多东西。想活得更...
    小雪AL阅读 77评论 0 0
  • 先谈谈练习贴墙功后的身心变化吧:1、腰部带脉白了很多,因毒素积聚的小黑圈消失;2、股关节由外向内旋转,脚平吸在大地...
    宝亮书院阅读 1,263评论 0 3